VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::VM::Summary Class Reference
Inheritance diagram for Com::Vmware::Vcenter::VM::Summary:

## Avaliable Methods
public method | set_cpu_count ()
public method | set_vm ()
public method | get_power_state ()
public method | set_name ()
public method | set_power_state ()
public method | get_cpu_count ()
public method | get_memory_size_MiB ()
public method | get_vm ()
public method | new ()
public method | get_name ()
public method | set_memory_size_MiB ()

## Detailed Description

The `Com::Vmware::Vcenter::VM::Summary` class contains commonly used information about a virtual machine.

## Member Function Documentation

public method Com::Vmware::Vcenter::VM::Summary::get_cpu_count | ( |  | ) |

Gets the value of 'cpu_count' property.

Return values

  cpu_count | - The current value of the field. Number of CPU cores. Optional#

Code:
click to view
# Number of lines of code in get_cpu_count: 4
sub get_cpu_count {
my ($self, %args) = @_;
return $self->{'cpu_count'};
}

public method Com::Vmware::Vcenter::VM::Summary::get_memory_size_MiB | ( |  | ) |

Gets the value of 'memory_size_MiB' property.

Return values

  memory_size_MiB | - The current value of the field. Memory size in mebibytes. Optional#

Code:
click to view
# Number of lines of code in get_memory_size_MiB: 4
sub get_memory_size_MiB {
my ($self, %args) = @_;
return $self->{'memory_size_MiB'};
}

public method Com::Vmware::Vcenter::VM::Summary::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Name of the Virtual machine. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::VM::Summary::get_power_state | ( |  | ) |

Gets the value of 'power_state' property.

Return values

  power_state | - The current value of the field. Power state of the virtual machine. State#

Code:
click to view
# Number of lines of code in get_power_state: 4
sub get_power_state {
my ($self, %args) = @_;
return $self->{'power_state'};
}

public method Com::Vmware::Vcenter::VM::Summary::get_vm | ( |  | ) |

Gets the value of 'vm' property.

Return values

  vm | - The current value of the field. Identifier of the virtual machine. ID#

Code:
click to view
# Number of lines of code in get_vm: 4
sub get_vm {
my ($self, %args) = @_;
return $self->{'vm'};
}

public method Com::Vmware::Vcenter::VM::Summary::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::VM::Summary structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{vm} = $args{'vm'};
$self->{name} = $args{'name'};
$self->{power_state} = $args{'power_state'};
$self->{cpu_count} = $args{'cpu_count'};
$self->{memory_size_MiB} = $args{'memory_size_MiB'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::VM::Summary');
$self->set_binding_name('name' => 'com.vmware.vcenter.VM.summary');
$self->set_binding_field('key' => 'vm', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'power_state', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm', 'type_name' => 'Power::State'));
$self->set_binding_field('key' => 'cpu_count', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'memory_size_MiB', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::VM::Summary::set_cpu_count | ( |  | ) |

Sets the given value for 'cpu_count' property.

Parameters

  cpu_count | - New value for the field. Number of CPU cores.

Code:
click to view
# Number of lines of code in set_cpu_count: 5
sub set_cpu_count {
my ($self, %args) = @_;
$self->{'cpu_count'} = $args{'cpu_count'};
return;
}

public method Com::Vmware::Vcenter::VM::Summary::set_memory_size_MiB | ( |  | ) |

Sets the given value for 'memory_size_MiB' property.

Parameters

  memory_size_MiB | - New value for the field. Memory size in mebibytes.

Code:
click to view
# Number of lines of code in set_memory_size_MiB: 5
sub set_memory_size_MiB {
my ($self, %args) = @_;
$self->{'memory_size_MiB'} = $args{'memory_size_MiB'};
return;
}

public method Com::Vmware::Vcenter::VM::Summary::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Name of the Virtual machine.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::VM::Summary::set_power_state | ( |  | ) |

Sets the given value for 'power_state' property.

Parameters

  power_state | - New value for the field. Power state of the virtual machine.

Code:
click to view
# Number of lines of code in set_power_state: 5
sub set_power_state {
my ($self, %args) = @_;
$self->{'power_state'} = $args{'power_state'};
return;
}

public method Com::Vmware::Vcenter::VM::Summary::set_vm | ( |  | ) |

Sets the given value for 'vm' property.

Parameters

  vm | - New value for the field. Identifier of the virtual machine.

Code:
click to view
# Number of lines of code in set_vm: 5
sub set_vm {
my ($self, %args) = @_;
$self->{'vm'} = $args{'vm'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/VM.pm